//
//  MyImageView.m
//  画像表示クラス（iPhoneSDK3 プログラミング大全 ゲームプログラミングより）
//

#import "MyImageView.h"

@implementation MyImageView

- (id)initWithFrame:(CGRect)frame {
    if (self = [super initWithFrame:frame]) {
        // Initialization code
    }
    return self;
}

// イニシャライザ
// ビューの位置と大きさ、画像のファイル名で初期化
- (id)initWithFrameImageName:(CGRect)frame path:(NSString*)path
{
	if(self = [super initWithFrame:frame])
	{
		// テクスチャ描画する位置を原点で初期化
		drawPoint.x = 0;
		drawPoint.y = 0;
		
		// 画像の初期化
		image = [UIImage imageNamed:path];
	}
	return self;
}

// 描画処理
- (void)drawRect:(CGRect)rect {
	// 画像を表示する
	[image drawAtPoint:drawPoint];
}


- (void)dealloc {
    [super dealloc];
	[image release];
}


@end
